Subject: [Tsvwg] RE: Review comments diffserv-basic-classes-03

From: "Jozef Babiarz" <[email-masked]>
Date: Sun, 24 Oct 2004 19:49:17 -0400

Thanks Brian for the review and comments. Your list of changes has been
incorporated into version 04. See below for details.

Fred Baker wrote:
> At 01:41 PM 08/25/04 +0200, Brian E Carpenter wrote:
> 
>> A couple more thoughts, after a side conversation with Kathie.
>>
>> As I said, my comfort level is higher, but this doesn't remove some
>> older basic concerns... maybe I should have mentioned these in the 
>> tsvwg meeting, but I was rushing between sessions.
>>
>> 1. Thirteen classes is about eight too many for real deployments. It
>> will be far too easy for readers to miss the essential comment hidden 
>> in the middle of section 2.1:
>>
>>> It is expected that network administrators will choose the service
>>> classes that they will support based on their need, starting off with 
>>> three or four service classes for user traffic and add others as the 
>>> need arises.
>>
>>
>> This really needs to be mentioned earlier and more prominently, with
>> some emphasis that all classes are OPTIONAL except that the default 
>> class is REQUIRED.
> 
> 
> OK. Specifically where would you like this?

How about the end of section 1.2? I think it needs to be in the reader's
mind before hitting the details.
[Joe] Added below paragraph to section 1.2:
The Default Forwarding "Standard" service class is REQUIRED, all other
service classes are OPTIONAL. It is expected that network administrators
will choose the level of service differentiation that they will support
based on their need, starting off with three or four service classes for
user traffic and add others as the need arises.

-----Original Message-----
From: Brian E Carpenter [mailto:[email-masked]] 
Sent: Friday, July 16, 2004 10:45 AM
To: Fred Baker; Babiarz, Jozef [CAR:0S03:EXCH]; Chan, Kwok-Ho
[BL60:470:EXCH]
Subject: Re: I-D ACTION:draft-baker-diffserv-basic-classes-03.txt

Hi,

My comfort level with this is much higher than with the
earlier versions. I still have a couple of substantive
comments, however.

1. I think you need to add a clear statement somewhere in
section 1 like: The facts that four code points are recommended
for AF, and that one code point is recommended for EF, are
arbitrary choices, and the architecture allows any reasonable
number of AF and EF classes simultaneously. The choice of
four AF classes and one EF class in the current document is
also arbitrary, and operators MAY choose to operate more or
fewer of either.

[Joe] Added the above statement to Section 1.4 Key Service Concepts, at the
end of the first paragraph.

2. Going further in the same direction, since all choices
of code points and service classes are arbitrary in the diffserv
architecture, I think that almost all the MUSTs in the document
should be SHOULDs. There are just a few that could reasonably
be left as MUST, namely

> The service MUST be engineered so that EF marked packet flows
>    have sufficient bandwidth in the network to provide guaranteed
>    delivery.  

(which really just repeating part of the definition of EF)

and

>   The probability of loss of AF41 traffic MUST NOT
>    exceed the probability of loss of AF42 traffic, which in turn MUST
>    NOT exceed the probability of loss of AF43 traffic.

(ditto for AF)

and

>    The Standard service class MUST use the Default Forwarding (DF) PHB
>    defined in [RFC2474] 

[Joe] Changed all MUST to SHOULD except as noted above.
(ditto for DF)

You certainly can't have constructs like

>    RECOMMENDED Network Edge Conditioning:
>    o  At peering points (between two DiffServ networks) where SLAs are
>       in place, CS6 marked packets MUST be policed, e.g.  using a single
>       rate with burst size (sr+bs) token bucket policer to keep the CS6
>       marked packet flows to within the traffic rate specified in the
>       SLA.

with a MUST governed by a RECOMMENDED.
[Joe] Changed the MUST to SHOULD throughout the draft.

Regards
     Brian

Regards, Joe.
email: [email-masked]

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 25 Oct 2004 13:35:57 +0200

Thanks. I guess Kathie will still have some objections, but this
seems to take care of my comments.

     Brian